<?php

declare(strict_types=1);

namespace App\Handler;

use Doctrine\ORM\EntityManager;
use Psr\Container\ContainerInterface;
use Psr\Http\Server\RequestHandlerInterface;
use Zend\Expressive\Helper\UrlHelper;

class AwardeeRedirectHandlerFactory
{
    public function __invoke(ContainerInterface $container) : RequestHandlerInterface
    {
        $urlHelper = $container->get(UrlHelper::class);
        $entityManager = $container->get(EntityManager::class);
        return new AwardeeRedirectHandler($urlHelper, $entityManager);
    }
}
